searchNodes=[{"doc":"Auto-generated SDK for OpenAI APIs See https://platform.openai.com/docs/api-reference/introduction for further info on REST endpoints Make sure to refer to the README on Github to see what is implemented and what isn't yet","ref":"ExOpenAI.html","title":"ExOpenAI","type":"module"},{"doc":"Callback implementation for Application.start/2.","ref":"ExOpenAI.html#start/2","title":"ExOpenAI.start/2","type":"function"},{"doc":"Modules for interacting with the answers group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/answers","ref":"ExOpenAI.Answers.html","title":"ExOpenAI.Answers","type":"module"},{"doc":"Answers the specified question using the provided documents and examples.The endpoint first searches over provided documents or files to find relevant context. The relevant context is combined with the provided examples and question to create the prompt for completion.Endpoint: https://api.openai.com/v1/answersMethod: POSTDocs: https://platform.openai.com/docs/api-reference/answersRequired Arguments:examples: List of (question, answer) pairs that will help steer the model towards the tone and answer format you'd like. We recommend adding 2 to 3 examples.Example: [['What is the capital of Canada?', 'Ottawa'], ['Which province is Ottawa in?', 'Ontario']]examples_context: A text snippet containing the contextual information used to generate the answers for the examples you provide.Example: Ottawa, Canada's capital, is located in the east of southern Ontario, near the city of Montréal and the U.S. border.model: ID of the model to use for completion. You can select one of ada, babbage, curie, or davinci.question: Question to get answered.Example: What is the capital of Japan?Optional Arguments:documents: List of documents from which the answer for the input question should be derived. If this is an empty list, the question will be answered based on the question-answer examples.You should specify either documents or a file, but not both.Example: &quot;['Japan is an island country in East Asia, located in the northwest Pacific Ocean.', 'Tokyo is the capital and most populous prefecture of Japan.']&quot;expand: If an object name is in the list, we provide the full information of the object; otherwise, we only provide the object ID. Currently we support completion and file objects for expansion.file: The ID of an uploaded file that contains documents to search over. See upload file for how to upload a file of the desired format and purpose.You should specify either documents or a file, but not both.logit_bias: Modify the likelihood of specified tokens appearing in the completion.Accepts a json object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this tokenizer tool (which works for both GPT-2 and GPT-3) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.As an example, you can pass {&quot;50256&quot;: -100} to prevent the &lt;|endoftext|&gt; token from being generated.logprobs: Include the log probabilities on the logprobs most likely tokens, as well the chosen tokens. For example, if logprobs is 5, the API will return a list of the 5 most likely tokens. The API will always return the logprob of the sampled token, so there may be up to logprobs+1 elements in the response.The maximum value for logprobs is 5. If you need more than this, please contact us through our Help center and describe your use case.When logprobs is set, completion will be automatically added into expand to get the logprobs.max_rerank: The maximum number of documents to be ranked by Search when using file. Setting it to a higher value leads to improved accuracy but with increased latency and cost.max_tokens: The maximum number of tokens allowed for the generated answern: How many answers to generate for each question.return_metadata: A special boolean flag for showing metadata. If set to true, each document entry in the returned JSON will contain a &quot;metadata&quot; field.This flag only takes effect when file is set.return_prompt: If set to true, the returned JSON will include a &quot;prompt&quot; field containing the final prompt that was used to request a completion. This is mainly useful for debugging purposes.search_model: ID of the model to use for Search. You can select one of ada, babbage, curie, or davinci.stop: Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.temperature: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Answers.html#create_answer/5","title":"ExOpenAI.Answers.create_answer/5","type":"function"},{"doc":"Modules for interacting with the audio group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/audio","ref":"ExOpenAI.Audio.html","title":"ExOpenAI.Audio","type":"module"},{"doc":"Transcribes audio into the input language.Endpoint: https://api.openai.com/v1/audio/transcriptionsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/audioRequired Arguments:file: The audio file to transcribe, in one of these formats: mp3, mp4, mpeg, mpga, m4a, wav, or webm.model: ID of the model to use. Only whisper-1 is currently available.Optional Arguments:language: The language of the input audio. Supplying the input language in ISO-639-1 format will improve accuracy and latency.prompt: An optional text to guide the model's style or continue a previous audio segment. The prompt should match the audio language.response_format: The format of the transcript output, in one of these options: json, text, srt, verbose_json, or vtt.temperature: The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.","ref":"ExOpenAI.Audio.html#create_transcription/3","title":"ExOpenAI.Audio.create_transcription/3","type":"function"},{"doc":"Translates audio into into English.Endpoint: https://api.openai.com/v1/audio/translationsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/audioRequired Arguments:file: The audio file to translate, in one of these formats: mp3, mp4, mpeg, mpga, m4a, wav, or webm.model: ID of the model to use. Only whisper-1 is currently available.Optional Arguments:prompt: An optional text to guide the model's style or continue a previous audio segment. The prompt should be in English.response_format: The format of the transcript output, in one of these options: json, text, srt, verbose_json, or vtt.temperature: The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.","ref":"ExOpenAI.Audio.html#create_translation/3","title":"ExOpenAI.Audio.create_translation/3","type":"function"},{"doc":"Modules for interacting with the chat group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/chat","ref":"ExOpenAI.Chat.html","title":"ExOpenAI.Chat","type":"module"},{"doc":"Creates a completion for the chat messageEndpoint: https://api.openai.com/v1/chat/completionsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/chatRequired Arguments:messages: The messages to generate chat completions for, in the chat format.model: ID of the model to use. Currently, only gpt-3.5-turbo and gpt-3.5-turbo-0301 are supported.Optional Arguments:frequency_penalty: Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.See more information about frequency and presence penalties.logit_bias: Modify the likelihood of specified tokens appearing in the completion.Accepts a json object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.max_tokens: The maximum number of tokens allowed for the generated answer. By default, the number of tokens the model can return will be (4096 - prompt tokens).n: How many chat completion choices to generate for each input message.Example: 1presence_penalty: Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.See more information about frequency and presence penalties.stop: Up to 4 sequences where the API will stop generating further tokens.stream: If set, partial message deltas will be sent, like in ChatGPT. Tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message.temperature: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.We generally recommend altering this or top_p but not both.Example: 1top_p: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.We generally recommend altering this or temperature but not both.Example: 1user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Chat.html#create_chat_completion/3","title":"ExOpenAI.Chat.create_chat_completion/3","type":"function"},{"doc":"Modules for interacting with the classifications group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/classifications","ref":"ExOpenAI.Classifications.html","title":"ExOpenAI.Classifications","type":"module"},{"doc":"Classifies the specified query using provided examples.The endpoint first searches over the labeled examples to select the ones most relevant for the particular query. Then, the relevant examples are combined with the query to construct a prompt to produce the final label via the completions endpoint.Labeled examples can be provided via an uploaded file, or explicitly listed in the request using the examples parameter for quick tests and small scale use cases.Endpoint: https://api.openai.com/v1/classificationsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/classificationsRequired Arguments:model: ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.query: Query to be classified.Example: The plot is not very attractive.Optional Arguments:examples: A list of examples with labels, in the following format:[[&quot;The movie is so interesting.&quot;, &quot;Positive&quot;], [&quot;It is quite boring.&quot;, &quot;Negative&quot;], ...]All the label strings will be normalized to be capitalized.You should specify either examples or file, but not both.Example: &quot;[['Do not see this film.', 'Negative'], ['Smart, provocative and blisteringly funny.', 'Positive']]&quot;expand: If an object name is in the list, we provide the full information of the object; otherwise, we only provide the object ID. Currently we support completion and file objects for expansion.file: The ID of the uploaded file that contains training examples. See upload file for how to upload a file of the desired format and purpose.You should specify either examples or file, but not both.labels: The set of categories being classified. If not specified, candidate labels will be automatically collected from the examples you provide. All the label strings will be normalized to be capitalized.Example: [&quot;Positive&quot;, &quot;Negative&quot;]logit_bias: Modify the likelihood of specified tokens appearing in the completion.Accepts a json object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this tokenizer tool (which works for both GPT-2 and GPT-3) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.As an example, you can pass {&quot;50256&quot;: -100} to prevent the &lt;|endoftext|&gt; token from being generated.logprobs: Include the log probabilities on the logprobs most likely tokens, as well the chosen tokens. For example, if logprobs is 5, the API will return a list of the 5 most likely tokens. The API will always return the logprob of the sampled token, so there may be up to logprobs+1 elements in the response.The maximum value for logprobs is 5. If you need more than this, please contact us through our Help center and describe your use case.When logprobs is set, completion will be automatically added into expand to get the logprobs.max_examples: The maximum number of examples to be ranked by Search when using file. Setting it to a higher value leads to improved accuracy but with increased latency and cost.return_metadata: A special boolean flag for showing metadata. If set to true, each document entry in the returned JSON will contain a &quot;metadata&quot; field.This flag only takes effect when file is set.return_prompt: If set to true, the returned JSON will include a &quot;prompt&quot; field containing the final prompt that was used to request a completion. This is mainly useful for debugging purposes.search_model: ID of the model to use for Search. You can select one of ada, babbage, curie, or davinci.temperature: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.Example: 0user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Classifications.html#create_classification/3","title":"ExOpenAI.Classifications.create_classification/3","type":"function"},{"doc":"Modules for interacting with the completions group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/completions","ref":"ExOpenAI.Completions.html","title":"ExOpenAI.Completions","type":"module"},{"doc":"Creates a completion for the provided prompt and parametersEndpoint: https://api.openai.com/v1/completionsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/completionsRequired Arguments:model: ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.Optional Arguments:best_of: Generates best_of completions server-side and returns the &quot;best&quot; (the one with the highest log probability per token). Results cannot be streamed.When used with n, best_of controls the number of candidate completions and n specifies how many to return – best_of must be greater than n.Note: Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens and stop.echo: Echo back the prompt in addition to the completionfrequency_penalty: Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.See more information about frequency and presence penalties.logit_bias: Modify the likelihood of specified tokens appearing in the completion.Accepts a json object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this tokenizer tool (which works for both GPT-2 and GPT-3) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.As an example, you can pass {&quot;50256&quot;: -100} to prevent the &lt;|endoftext|&gt; token from being generated.logprobs: Include the log probabilities on the logprobs most likely tokens, as well the chosen tokens. For example, if logprobs is 5, the API will return a list of the 5 most likely tokens. The API will always return the logprob of the sampled token, so there may be up to logprobs+1 elements in the response.The maximum value for logprobs is 5. If you need more than this, please contact us through our Help center and describe your use case.max_tokens: The maximum number of tokens to generate in the completion.The token count of your prompt plus max_tokens cannot exceed the model's context length. Most models have a context length of 2048 tokens (except for the newest models, which support 4096).Example: 16n: How many completions to generate for each prompt.Note: Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens and stop.Example: 1presence_penalty: Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.See more information about frequency and presence penalties.prompt: The prompt(s) to generate completions for, encoded as a string, array of strings, array of tokens, or array of token arrays.Note that &lt;|endoftext|&gt; is the document separator that the model sees during training, so if a prompt is not specified the model will generate as if from the beginning of a new document.stop: Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.stream: Whether to stream back partial progress. If set, tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message.suffix: The suffix that comes after a completion of inserted text.Example: &quot;test.&quot;temperature: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.We generally recommend altering this or top_p but not both.Example: 1top_p: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.We generally recommend altering this or temperature but not both.Example: 1user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Completions.html#create_completion/2","title":"ExOpenAI.Completions.create_completion/2","type":"function"},{"doc":"Schema representing a ChatCompletionRequestMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html","title":"ExOpenAI.Components.ChatCompletionRequestMessage","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionRequestMessage.t/0","type":"type"},{"doc":"Schema representing a ChatCompletionResponseMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html","title":"ExOpenAI.Components.ChatCompletionResponseMessage","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html#t:t/0","title":"ExOpenAI.Components.ChatCompletionResponseMessage.t/0","type":"type"},{"doc":"Schema representing a CreateAnswerRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateAnswerRequest.html","title":"ExOpenAI.Components.CreateAnswerRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateAnswerRequest.html#t:t/0","title":"ExOpenAI.Components.CreateAnswerRequest.t/0","type":"type"},{"doc":"Schema representing a CreateAnswerResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateAnswerResponse.html","title":"ExOpenAI.Components.CreateAnswerResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateAnswerResponse.html#t:t/0","title":"ExOpenAI.Components.CreateAnswerResponse.t/0","type":"type"},{"doc":"Schema representing a CreateChatCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html","title":"ExOpenAI.Components.CreateChatCompletionRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html#t:t/0","title":"ExOpenAI.Components.CreateChatCompletionRequest.t/0","type":"type"},{"doc":"Schema representing a CreateChatCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html","title":"ExOpenAI.Components.CreateChatCompletionResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html#t:t/0","title":"ExOpenAI.Components.CreateChatCompletionResponse.t/0","type":"type"},{"doc":"Schema representing a CreateClassificationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateClassificationRequest.html","title":"ExOpenAI.Components.CreateClassificationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateClassificationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateClassificationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateClassificationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateClassificationResponse.html","title":"ExOpenAI.Components.CreateClassificationResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateClassificationResponse.html#t:t/0","title":"ExOpenAI.Components.CreateClassificationResponse.t/0","type":"type"},{"doc":"Schema representing a CreateCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionRequest.html","title":"ExOpenAI.Components.CreateCompletionRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateCompletionRequest.html#t:t/0","title":"ExOpenAI.Components.CreateCompletionRequest.t/0","type":"type"},{"doc":"Schema representing a CreateCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionResponse.html","title":"ExOpenAI.Components.CreateCompletionResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateCompletionResponse.html#t:t/0","title":"ExOpenAI.Components.CreateCompletionResponse.t/0","type":"type"},{"doc":"Schema representing a CreateEditRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateEditRequest.html","title":"ExOpenAI.Components.CreateEditRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEditRequest.html#t:t/0","title":"ExOpenAI.Components.CreateEditRequest.t/0","type":"type"},{"doc":"Schema representing a CreateEditResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateEditResponse.html","title":"ExOpenAI.Components.CreateEditResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEditResponse.html#t:t/0","title":"ExOpenAI.Components.CreateEditResponse.t/0","type":"type"},{"doc":"Schema representing a CreateEmbeddingRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html","title":"ExOpenAI.Components.CreateEmbeddingRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html#t:t/0","title":"ExOpenAI.Components.CreateEmbeddingRequest.t/0","type":"type"},{"doc":"Schema representing a CreateEmbeddingResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html","title":"ExOpenAI.Components.CreateEmbeddingResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html#t:t/0","title":"ExOpenAI.Components.CreateEmbeddingResponse.t/0","type":"type"},{"doc":"Schema representing a CreateFileRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFileRequest.html","title":"ExOpenAI.Components.CreateFileRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateFileRequest.html#t:t/0","title":"ExOpenAI.Components.CreateFileRequest.t/0","type":"type"},{"doc":"Schema representing a CreateFineTuneRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFineTuneRequest.html","title":"ExOpenAI.Components.CreateFineTuneRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateFineTuneRequest.html#t:t/0","title":"ExOpenAI.Components.CreateFineTuneRequest.t/0","type":"type"},{"doc":"Schema representing a CreateImageEditRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageEditRequest.html","title":"ExOpenAI.Components.CreateImageEditRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateImageEditRequest.html#t:t/0","title":"ExOpenAI.Components.CreateImageEditRequest.t/0","type":"type"},{"doc":"Schema representing a CreateImageRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageRequest.html","title":"ExOpenAI.Components.CreateImageRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateImageRequest.html#t:t/0","title":"ExOpenAI.Components.CreateImageRequest.t/0","type":"type"},{"doc":"Schema representing a CreateImageVariationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageVariationRequest.html","title":"ExOpenAI.Components.CreateImageVariationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateImageVariationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateImageVariationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateModerationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationRequest.html","title":"ExOpenAI.Components.CreateModerationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateModerationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateModerationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateModerationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationResponse.html","title":"ExOpenAI.Components.CreateModerationResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateModerationResponse.html#t:t/0","title":"ExOpenAI.Components.CreateModerationResponse.t/0","type":"type"},{"doc":"Schema representing a CreateSearchRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateSearchRequest.html","title":"ExOpenAI.Components.CreateSearchRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateSearchRequest.html#t:t/0","title":"ExOpenAI.Components.CreateSearchRequest.t/0","type":"type"},{"doc":"Schema representing a CreateSearchResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateSearchResponse.html","title":"ExOpenAI.Components.CreateSearchResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateSearchResponse.html#t:t/0","title":"ExOpenAI.Components.CreateSearchResponse.t/0","type":"type"},{"doc":"Schema representing a CreateTranscriptionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html","title":"ExOpenAI.Components.CreateTranscriptionRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html#t:t/0","title":"ExOpenAI.Components.CreateTranscriptionRequest.t/0","type":"type"},{"doc":"Schema representing a CreateTranscriptionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionResponse.html","title":"ExOpenAI.Components.CreateTranscriptionResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranscriptionResponse.html#t:t/0","title":"ExOpenAI.Components.CreateTranscriptionResponse.t/0","type":"type"},{"doc":"Schema representing a CreateTranslationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationRequest.html","title":"ExOpenAI.Components.CreateTranslationRequest","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranslationRequest.html#t:t/0","title":"ExOpenAI.Components.CreateTranslationRequest.t/0","type":"type"},{"doc":"Schema representing a CreateTranslationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationResponse.html","title":"ExOpenAI.Components.CreateTranslationResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.CreateTranslationResponse.html#t:t/0","title":"ExOpenAI.Components.CreateTranslationResponse.t/0","type":"type"},{"doc":"Schema representing a DeleteFileResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteFileResponse.html","title":"ExOpenAI.Components.DeleteFileResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.DeleteFileResponse.html#t:t/0","title":"ExOpenAI.Components.DeleteFileResponse.t/0","type":"type"},{"doc":"Schema representing a DeleteModelResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteModelResponse.html","title":"ExOpenAI.Components.DeleteModelResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.DeleteModelResponse.html#t:t/0","title":"ExOpenAI.Components.DeleteModelResponse.t/0","type":"type"},{"doc":"Schema representing a Engine within the OpenAI API","ref":"ExOpenAI.Components.Engine.html","title":"ExOpenAI.Components.Engine","type":"module"},{"doc":"","ref":"ExOpenAI.Components.Engine.html#t:t/0","title":"ExOpenAI.Components.Engine.t/0","type":"type"},{"doc":"Schema representing a FineTune within the OpenAI API","ref":"ExOpenAI.Components.FineTune.html","title":"ExOpenAI.Components.FineTune","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTune.html#t:t/0","title":"ExOpenAI.Components.FineTune.t/0","type":"type"},{"doc":"Schema representing a FineTuneEvent within the OpenAI API","ref":"ExOpenAI.Components.FineTuneEvent.html","title":"ExOpenAI.Components.FineTuneEvent","type":"module"},{"doc":"","ref":"ExOpenAI.Components.FineTuneEvent.html#t:t/0","title":"ExOpenAI.Components.FineTuneEvent.t/0","type":"type"},{"doc":"Schema representing a ImagesResponse within the OpenAI API","ref":"ExOpenAI.Components.ImagesResponse.html","title":"ExOpenAI.Components.ImagesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ImagesResponse.html#t:t/0","title":"ExOpenAI.Components.ImagesResponse.t/0","type":"type"},{"doc":"Schema representing a ListEnginesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListEnginesResponse.html","title":"ExOpenAI.Components.ListEnginesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListEnginesResponse.html#t:t/0","title":"ExOpenAI.Components.ListEnginesResponse.t/0","type":"type"},{"doc":"Schema representing a ListFilesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFilesResponse.html","title":"ExOpenAI.Components.ListFilesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFilesResponse.html#t:t/0","title":"ExOpenAI.Components.ListFilesResponse.t/0","type":"type"},{"doc":"Schema representing a ListFineTuneEventsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuneEventsResponse.html","title":"ExOpenAI.Components.ListFineTuneEventsResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFineTuneEventsResponse.html#t:t/0","title":"ExOpenAI.Components.ListFineTuneEventsResponse.t/0","type":"type"},{"doc":"Schema representing a ListFineTunesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTunesResponse.html","title":"ExOpenAI.Components.ListFineTunesResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListFineTunesResponse.html#t:t/0","title":"ExOpenAI.Components.ListFineTunesResponse.t/0","type":"type"},{"doc":"Schema representing a ListModelsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListModelsResponse.html","title":"ExOpenAI.Components.ListModelsResponse","type":"module"},{"doc":"","ref":"ExOpenAI.Components.ListModelsResponse.html#t:t/0","title":"ExOpenAI.Components.ListModelsResponse.t/0","type":"type"},{"doc":"Replacement Component for Model API responses This module was not part of the api documentation and got probably forgotten, so it has been manually provided by this package Rpresents API responses such as: created: 1649880484, id: &quot;text-davinci-insert-002&quot;, object: &quot;model&quot;, owned_by: &quot;openai&quot;, parent: nil, permission: [ %{ allow_create_engine: false, allow_fine_tuning: false, allow_logprobs: true, allow_sampling: true, allow_search_indices: false, allow_view: true, created: 1669066354, group: nil, id: &quot;modelperm-V5YQoSyiapAf4km5wisXkNXh&quot;, is_blocking: false, object: &quot;model_permission&quot;, organization: &quot;*&quot; } ], root: &quot;text-davinci-insert-002&quot;","ref":"ExOpenAI.Components.Model.html","title":"ExOpenAI.Components.Model","type":"module"},{"doc":"","ref":"ExOpenAI.Components.Model.html#unpack_ast/1","title":"ExOpenAI.Components.Model.unpack_ast/1","type":"function"},{"doc":"","ref":"ExOpenAI.Components.Model.html#t:t/0","title":"ExOpenAI.Components.Model.t/0","type":"type"},{"doc":"Schema representing a OpenAIFile within the OpenAI API","ref":"ExOpenAI.Components.OpenAIFile.html","title":"ExOpenAI.Components.OpenAIFile","type":"module"},{"doc":"","ref":"ExOpenAI.Components.OpenAIFile.html#t:t/0","title":"ExOpenAI.Components.OpenAIFile.t/0","type":"type"},{"doc":"Reads configuration on application start, parses all environment variables (if any) and caches the final config in memory to avoid parsing on each read afterwards.","ref":"ExOpenAI.Config.html","title":"ExOpenAI.Config","type":"module"},{"doc":"","ref":"ExOpenAI.Config.html#api_key/0","title":"ExOpenAI.Config.api_key/0","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#api_url/0","title":"ExOpenAI.Config.api_url/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"ExOpenAI.Config.html#child_spec/1","title":"ExOpenAI.Config.child_spec/1","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#get/1","title":"ExOpenAI.Config.get/1","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#http_options/0","title":"ExOpenAI.Config.http_options/0","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#org_key/0","title":"ExOpenAI.Config.org_key/0","type":"function"},{"doc":"","ref":"ExOpenAI.Config.html#start_link/1","title":"ExOpenAI.Config.start_link/1","type":"function"},{"doc":"Modules for interacting with the edits group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/edits","ref":"ExOpenAI.Edits.html","title":"ExOpenAI.Edits","type":"module"},{"doc":"Creates a new edit for the provided input, instruction, and parameters.Endpoint: https://api.openai.com/v1/editsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/editsRequired Arguments:instruction: The instruction that tells the model how to edit the prompt.Example: Fix the spelling mistakes.model: ID of the model to use. You can use the text-davinci-edit-001 or code-davinci-edit-001 model with this endpoint.Optional Arguments:input: The input text to use as a starting point for the edit.Example: &quot;What day of the wek is it?&quot;n: How many edits to generate for the input and instruction.Example: 1temperature: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.We generally recommend altering this or top_p but not both.Example: 1top_p: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.We generally recommend altering this or temperature but not both.Example: 1","ref":"ExOpenAI.Edits.html#create_edit/3","title":"ExOpenAI.Edits.create_edit/3","type":"function"},{"doc":"Modules for interacting with the embeddings group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/embeddings","ref":"ExOpenAI.Embeddings.html","title":"ExOpenAI.Embeddings","type":"module"},{"doc":"Creates an embedding vector representing the input text.Endpoint: https://api.openai.com/v1/embeddingsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/embeddingsRequired Arguments:input: Input text to get embeddings for, encoded as a string or array of tokens. To get embeddings for multiple inputs in a single request, pass an array of strings or array of token arrays. Each input must not exceed 8192 tokens in length.model: ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.Optional Arguments:user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Embeddings.html#create_embedding/3","title":"ExOpenAI.Embeddings.create_embedding/3","type":"function"},{"doc":"Modules for interacting with the engines group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/engines","ref":"ExOpenAI.Engines.html","title":"ExOpenAI.Engines","type":"module"},{"doc":"Lists the currently available (non-finetuned) models, and provides basic information about each one such as the owner and availability.Endpoint: https://api.openai.com/v1/enginesMethod: GETDocs: https://platform.openai.com/docs/api-reference/enginesRequired Arguments:Optional Arguments:","ref":"ExOpenAI.Engines.html#list_engines/1","title":"ExOpenAI.Engines.list_engines/1","type":"function"},{"doc":"Retrieves a model instance, providing basic information about it such as the owner and availability.Endpoint: https://api.openai.com/v1/engines/{engine_id}Method: GETDocs: https://platform.openai.com/docs/api-reference/enginesRequired Arguments:engine_idExample: davinciOptional Arguments:","ref":"ExOpenAI.Engines.html#retrieve_engine/2","title":"ExOpenAI.Engines.retrieve_engine/2","type":"function"},{"doc":"Modules for interacting with the files group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/files","ref":"ExOpenAI.Files.html","title":"ExOpenAI.Files","type":"module"},{"doc":"Upload a file that contains document(s) to be used across various endpoints/features. Currently, the size of all the files uploaded by one organization can be up to 1 GB. Please contact us if you need to increase the storage limit.Endpoint: https://api.openai.com/v1/filesMethod: POSTDocs: https://platform.openai.com/docs/api-reference/filesRequired Arguments:file: Name of the JSON Lines file to be uploaded.If the purpose is set to &quot;fine-tune&quot;, each line is a JSON record with &quot;prompt&quot; and &quot;completion&quot; fields representing your training examples.purpose: The intended purpose of the uploaded documents.Use &quot;fine-tune&quot; for Fine-tuning. This allows us to validate the format of the uploaded file.Optional Arguments:","ref":"ExOpenAI.Files.html#create_file/3","title":"ExOpenAI.Files.create_file/3","type":"function"},{"doc":"Delete a file.Endpoint: https://api.openai.com/v1/files/{file_id}Method: DELETEDocs: https://platform.openai.com/docs/api-reference/filesRequired Arguments:file_idOptional Arguments:","ref":"ExOpenAI.Files.html#delete_file/2","title":"ExOpenAI.Files.delete_file/2","type":"function"},{"doc":"Returns the contents of the specified fileEndpoint: https://api.openai.com/v1/files/{file_id}/contentMethod: GETDocs: https://platform.openai.com/docs/api-reference/filesRequired Arguments:file_idOptional Arguments:","ref":"ExOpenAI.Files.html#download_file/2","title":"ExOpenAI.Files.download_file/2","type":"function"},{"doc":"Modules for interacting with the fine-tunes group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/fine-tunes","ref":"ExOpenAI.FineTunes.html","title":"ExOpenAI.FineTunes","type":"module"},{"doc":"Immediately cancel a fine-tune job.Endpoint: https://api.openai.com/v1/fine-tunes/{fine_tune_id}/cancelMethod: POSTDocs: https://platform.openai.com/docs/api-reference/fine-tunesRequired Arguments:fine_tune_idExample: ft-AF1WoRqd3aJAHsqc9NY7iL8FOptional Arguments:","ref":"ExOpenAI.FineTunes.html#cancel_fine_tune/2","title":"ExOpenAI.FineTunes.cancel_fine_tune/2","type":"function"},{"doc":"Creates a job that fine-tunes a specified model from a given dataset.Response includes details of the enqueued job including job status and the name of the fine-tuned models once complete.Learn more about Fine-tuningEndpoint: https://api.openai.com/v1/fine-tunesMethod: POSTDocs: https://platform.openai.com/docs/api-reference/fine-tunesRequired Arguments:training_file: The ID of an uploaded file that contains training data.See upload file for how to upload a file.Your dataset must be formatted as a JSONL file, where each training example is a JSON object with the keys &quot;prompt&quot; and &quot;completion&quot;. Additionally, you must upload your file with the purpose fine-tune.See the fine-tuning guide for more details.Example: file-ajSREls59WBbvgSzJSVWxMCBOptional Arguments:batch_size: The batch size to use for training. The batch size is the number of training examples used to train a single forward and backward pass.By default, the batch size will be dynamically configured to be ~0.2% of the number of examples in the training set, capped at 256 - in general, we've found that larger batch sizes tend to work better for larger datasets.classification_betas: If this is provided, we calculate F-beta scores at the specified beta values. The F-beta score is a generalization of F-1 score. This is only used for binary classification.With a beta of 1 (i.e. the F-1 score), precision and recall are given the same weight. A larger beta score puts more weight on recall and less on precision. A smaller beta score puts more weight on precision and less on recall.Example: [0.6, 1, 1.5, 2]classification_n_classes: The number of classes in a classification task.This parameter is required for multiclass classification.classification_positive_class: The positive class in binary classification.This parameter is needed to generate precision, recall, and F1 metrics when doing binary classification.compute_classification_metrics: If set, we calculate classification-specific metrics such as accuracy and F-1 score using the validation set at the end of every epoch. These metrics can be viewed in the results file.In order to compute classification metrics, you must provide a validation_file. Additionally, you must specify classification_n_classes for multiclass classification or classification_positive_class for binary classification.learning_rate_multiplier: The learning rate multiplier to use for training. The fine-tuning learning rate is the original learning rate used for pretraining multiplied by this value.By default, the learning rate multiplier is the 0.05, 0.1, or 0.2 depending on final batch_size (larger learning rates tend to perform better with larger batch sizes). We recommend experimenting with values in the range 0.02 to 0.2 to see what produces the best results.model: The name of the base model to fine-tune. You can select one of &quot;ada&quot;, &quot;babbage&quot;, &quot;curie&quot;, &quot;davinci&quot;, or a fine-tuned model created after 2022-04-21. To learn more about these models, see the Models documentation.n_epochs: The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset.prompt_loss_weight: The weight to use for loss on the prompt tokens. This controls how much the model tries to learn to generate the prompt (as compared to the completion which always has a weight of 1.0), and can add a stabilizing effect to training when completions are short.If prompts are extremely long (relative to completions), it may make sense to reduce this weight so as to avoid over-prioritizing learning the prompt.suffix: A string of up to 40 characters that will be added to your fine-tuned model name.For example, a suffix of &quot;custom-model-name&quot; would produce a model name like ada:ft-your-org:custom-model-name-2022-02-15-04-21-04.validation_file: The ID of an uploaded file that contains validation data.If you provide this file, the data is used to generate validation metrics periodically during fine-tuning. These metrics can be viewed in the fine-tuning results file. Your train and validation data should be mutually exclusive.Your dataset must be formatted as a JSONL file, where each validation example is a JSON object with the keys &quot;prompt&quot; and &quot;completion&quot;. Additionally, you must upload your file with the purpose fine-tune.See the fine-tuning guide for more details.Example: &quot;file-XjSREls59WBbvgSzJSVWxMCa&quot;","ref":"ExOpenAI.FineTunes.html#create_fine_tune/2","title":"ExOpenAI.FineTunes.create_fine_tune/2","type":"function"},{"doc":"Delete a fine-tuned model. You must have the Owner role in your organization.Endpoint: https://api.openai.com/v1/models/{model}Method: DELETEDocs: https://platform.openai.com/docs/api-reference/fine-tunesRequired Arguments:modelExample: curie:ft-acmeco-2021-03-03-21-44-20Optional Arguments:","ref":"ExOpenAI.FineTunes.html#delete_model/2","title":"ExOpenAI.FineTunes.delete_model/2","type":"function"},{"doc":"Get fine-grained status updates for a fine-tune job.Endpoint: https://api.openai.com/v1/fine-tunes/{fine_tune_id}/eventsMethod: GETDocs: https://platform.openai.com/docs/api-reference/fine-tunesRequired Arguments:fine_tune_idExample: ft-AF1WoRqd3aJAHsqc9NY7iL8FOptional Arguments:stream","ref":"ExOpenAI.FineTunes.html#list_fine_tune_events/2","title":"ExOpenAI.FineTunes.list_fine_tune_events/2","type":"function"},{"doc":"Gets info about the fine-tune job.Learn more about Fine-tuningEndpoint: https://api.openai.com/v1/fine-tunes/{fine_tune_id}Method: GETDocs: https://platform.openai.com/docs/api-reference/fine-tunesRequired Arguments:fine_tune_idExample: ft-AF1WoRqd3aJAHsqc9NY7iL8FOptional Arguments:","ref":"ExOpenAI.FineTunes.html#retrieve_fine_tune/2","title":"ExOpenAI.FineTunes.retrieve_fine_tune/2","type":"function"},{"doc":"Modules for interacting with the images group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/images","ref":"ExOpenAI.Images.html","title":"ExOpenAI.Images","type":"module"},{"doc":"Creates an image given a prompt.Endpoint: https://api.openai.com/v1/images/generationsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/imagesRequired Arguments:prompt: A text description of the desired image(s). The maximum length is 1000 characters.Example: A cute baby sea otterOptional Arguments:n: The number of images to generate. Must be between 1 and 10.Example: 1response_format: The format in which the generated images are returned. Must be one of url or b64_json.Example: &quot;url&quot;size: The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.Example: &quot;1024x1024&quot;user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Images.html#create_image/2","title":"ExOpenAI.Images.create_image/2","type":"function"},{"doc":"Creates an edited or extended image given an original image and a prompt.Endpoint: https://api.openai.com/v1/images/editsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/imagesRequired Arguments:image: The image to edit. Must be a valid PNG file, less than 4MB, and square. If mask is not provided, image must have transparency, which will be used as the mask.prompt: A text description of the desired image(s). The maximum length is 1000 characters.Example: A cute baby sea otter wearing a beretOptional Arguments:mask: An additional image whose fully transparent areas (e.g. where alpha is zero) indicate where image should be edited. Must be a valid PNG file, less than 4MB, and have the same dimensions as image.n: The number of images to generate. Must be between 1 and 10.Example: 1response_format: The format in which the generated images are returned. Must be one of url or b64_json.Example: &quot;url&quot;size: The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.Example: &quot;1024x1024&quot;user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Images.html#create_image_edit/3","title":"ExOpenAI.Images.create_image_edit/3","type":"function"},{"doc":"Creates a variation of a given image.Endpoint: https://api.openai.com/v1/images/variationsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/imagesRequired Arguments:image: The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.Optional Arguments:n: The number of images to generate. Must be between 1 and 10.Example: 1response_format: The format in which the generated images are returned. Must be one of url or b64_json.Example: &quot;url&quot;size: The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.Example: &quot;1024x1024&quot;user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Images.html#create_image_variation/2","title":"ExOpenAI.Images.create_image_variation/2","type":"function"},{"doc":"Modules for interacting with the models group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/models","ref":"ExOpenAI.Models.html","title":"ExOpenAI.Models","type":"module"},{"doc":"Lists the currently available models, and provides basic information about each one such as the owner and availability.Endpoint: https://api.openai.com/v1/modelsMethod: GETDocs: https://platform.openai.com/docs/api-reference/modelsRequired Arguments:Optional Arguments:","ref":"ExOpenAI.Models.html#list_models/1","title":"ExOpenAI.Models.list_models/1","type":"function"},{"doc":"Modules for interacting with the moderations group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/moderations","ref":"ExOpenAI.Moderations.html","title":"ExOpenAI.Moderations","type":"module"},{"doc":"Classifies if text violates OpenAI's Content PolicyEndpoint: https://api.openai.com/v1/moderationsMethod: POSTDocs: https://platform.openai.com/docs/api-reference/moderationsRequired Arguments:input: The input text to classifyOptional Arguments:model: Two content moderations models are available: text-moderation-stable and text-moderation-latest.The default is text-moderation-latest which will be automatically upgraded over time. This ensures you are always using our most accurate model. If you use text-moderation-stable, we will provide advanced notice before updating the model. Accuracy of text-moderation-stable may be slightly lower than for text-moderation-latest.Example: &quot;text-moderation-stable&quot;","ref":"ExOpenAI.Moderations.html#create_moderation/2","title":"ExOpenAI.Moderations.create_moderation/2","type":"function"},{"doc":"Modules for interacting with the searches group of OpenAI APIsAPI Reference: https://platform.openai.com/docs/api-reference/searches","ref":"ExOpenAI.Searches.html","title":"ExOpenAI.Searches","type":"module"},{"doc":"The search endpoint computes similarity scores between provided query and documents. Documents can be passed directly to the API if there are no more than 200 of them.To go beyond the 200 document limit, documents can be processed offline and then used for efficient retrieval at query time. When file is set, the search endpoint searches over all the documents in the given file and returns up to the max_rerank number of documents. These documents will be returned along with their search scores.The similarity score is a positive score that usually ranges from 0 to 300 (but can sometimes go higher), where a score above 200 usually means the document is semantically similar to the query.Endpoint: https://api.openai.com/v1/engines/{engine_id}/searchMethod: POSTDocs: https://platform.openai.com/docs/api-reference/searchesRequired Arguments:engine_idExample: davinciquery: Query to search against the documents.Example: the presidentOptional Arguments:documents: Up to 200 documents to search over, provided as a list of strings.The maximum document length (in tokens) is 2034 minus the number of tokens in the query.You should specify either documents or a file, but not both.Example: &quot;['White House', 'hospital', 'school']&quot;file: The ID of an uploaded file that contains documents to search over.You should specify either documents or a file, but not both.max_rerank: The maximum number of documents to be re-ranked and returned by search.This flag only takes effect when file is set.return_metadata: A special boolean flag for showing metadata. If set to true, each document entry in the returned JSON will contain a &quot;metadata&quot; field.This flag only takes effect when file is set.user: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.Example: &quot;user-1234&quot;","ref":"ExOpenAI.Searches.html#create_search/3","title":"ExOpenAI.Searches.create_search/3","type":"function"},{"doc":"Updates OpenAI API documentation files","ref":"Mix.Tasks.UpdateOpenaiDocs.html","title":"Mix.Tasks.UpdateOpenaiDocs","type":"task"}]